import NotificationI from "ui/domain/uiNotificationEntity";
import { UIStore } from "ui/domain/uiStore";

type NotifyUIStore = Pick<UIStore, "notify">;

const notifyUseCase = (
  store: NotifyUIStore,
  payload: Omit<NotificationI, "uid">
) => {
  store.notify(payload);
};

const notifyDismissibleUseCase = (
  store: NotifyUIStore,
  payload: Omit<NotificationI, "uid" | "delay">
) => {
  store.notify(payload);
}

export {notifyUseCase, notifyDismissibleUseCase};